# VariantSelectionDetails

interface VariantSelectionDetails

Allows configuring the variant-aware selection aspects of a specific dependency. This includes the ability to substitute a dependency on a platform with another platform, or substitute a dependency without attributes with a dependency with attributes.

#### Since

6.6

## Functions

attributes
Link copied to clipboard
abstract fun attributes(configurationAction: Action<in AttributeContainer>)
Replaces the provided selector attributes with the attributes configured via the configuration action.
capabilities
Link copied to clipboard
abstract fun capabilities(configurationAction: Action<in ModuleDependencyCapabilitiesHandler>)
Replaces the provided selector capabilities with the capabilities configured via the configuration action.
enforcedPlatform
Link copied to clipboard
abstract fun enforcedPlatform()
Selects the enforced platform variant of a component
library
Link copied to clipboard
abstract fun library()
Selects the library variant of a component
platform
Link copied to clipboard
abstract fun platform()
Selects the platform variant of a component